Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nl.liacs.subdisc
Class Condition

    java.lang.Object
      nl.liacs.subdisc.Condition

All Implemented Interfaces:
  java.lang.Comparable<Condition>

    public class Condition

extends java.lang.Object
implements java.lang.Comparable<Condition>

Field Summary
`static int` | `DOES_NOT_EQUAL`
`static int` | `EQUALS`
`static int` | `FIRST_BINARY_OPERATOR`
`static int` | `FIRST_NOMINAL_OPERATOR`
`static int` | `FIRST_NUMERIC_OPERATOR`
`static int` | `GREATER_THAN_OR_EQUAL`
`static int` | `LAST_BINARY_OPERATOR`
`static int` | `LAST_NOMINAL_OPERATOR`
`static int` | `LAST_NUMERIC_OPERATOR`
`static int` | `LESS_THAN_OR_EQUAL`
`static int` | `NOT_AN_OPERATOR`

Constructor Summary
`Condition(Column theColumn)`
`Condition(Column theColumn, int theOperator)`

Method Summary
`int` | `compareTo(Condition theCondition)`
`Condition` | `copy()`
`boolean` | `equals(java.lang.Object theObject)`
`boolean` | `evaluate(boolean theValue)`
`boolean` | `evaluate(java.lang.String theValue)`
`java.lang.String` | `getAggregateString()`
`Column` | `getAttribute()`
`int` | `getNextOperator()`
`int` | `getOperator()`
`java.lang.String` | `getOperatorString()`
`java.lang.String` | `getValue()`
`boolean` | `hasNextOperator()`
`void` | `setValue(java.lang.String theValue)`
`java.lang.String` | `toCleanString()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DOES_NOT_EQUAL

    public static final int DOES_NOT_EQUAL

See Also:
  Constant Field Values

### EQUALS

    public static final int EQUALS

See Also:
  Constant Field Values

### LESS_THAN_OR_EQUAL

    public static final int LESS_THAN_OR_EQUAL

See Also:
  Constant Field Values

### GREATER_THAN_OR_EQUAL

    public static final int GREATER_THAN_OR_EQUAL

See Also:
  Constant Field Values

### NOT_AN_OPERATOR

    public static final int NOT_AN_OPERATOR

See Also:
  Constant Field Values

### FIRST_BINARY_OPERATOR

    public static final int FIRST_BINARY_OPERATOR

See Also:
  Constant Field Values

### LAST_BINARY_OPERATOR

    public static final int LAST_BINARY_OPERATOR

See Also:
  Constant Field Values

### FIRST_NOMINAL_OPERATOR

    public static final int FIRST_NOMINAL_OPERATOR

See Also:
  Constant Field Values

### LAST_NOMINAL_OPERATOR

    public static final int LAST_NOMINAL_OPERATOR

See Also:
  Constant Field Values

### FIRST_NUMERIC_OPERATOR

    public static final int FIRST_NUMERIC_OPERATOR

See Also:
  Constant Field Values

### LAST_NUMERIC_OPERATOR

    public static final int LAST_NUMERIC_OPERATOR

See Also:
  Constant Field Values

Constructor Detail

### Condition

    public Condition(Column theColumn)

### Condition

    public Condition(Column theColumn,
                     int theOperator)

Method Detail

### copy

    public Condition copy()

### equals

    public boolean equals(java.lang.Object theObject)

  Overrides:
    `equals` in class `java.lang.Object`

### compareTo

    public int compareTo(Condition theCondition)

  Specified by:
    `compareTo` in interface `java.lang.Comparable<Condition>`

### hasNextOperator

    public boolean hasNextOperator()

### getNextOperator

    public int getNextOperator()

### getValue

    public java.lang.String getValue()

### setValue

    public void setValue(java.lang.String theValue)

### getAttribute

    public Column getAttribute()

### getAggregateString

    public java.lang.String getAggregateString()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### toCleanString

    public java.lang.String toCleanString()

### getOperatorString

    public java.lang.String getOperatorString()

### getOperator

    public int getOperator()

### evaluate

    public boolean evaluate(java.lang.String theValue)

### evaluate

    public boolean evaluate(boolean theValue)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD